From a0cf1c2a5ccfcd0ead973b8029871b1260323d1b Mon Sep 17 00:00:00 2001
From: Amit <amitlangote09@gmail.com>
Date: Fri, 13 Apr 2018 23:58:38 +0900
Subject: [PATCH v5] Reorganize partitioning code structure

---
 contrib/pageinspect/hashfuncs.c                 |    1 +
 contrib/pg_stat_statements/pg_stat_statements.c |    1 +
 src/backend/catalog/heap.c                      |    1 +
 src/backend/catalog/partition.c                 | 2860 +----------------------
 src/backend/catalog/pg_constraint.c             |    2 +
 src/backend/commands/indexcmds.c                |    1 +
 src/backend/commands/tablecmds.c                |    2 +
 src/backend/commands/trigger.c                  |    1 +
 src/backend/executor/execMain.c                 |    1 +
 src/backend/executor/execPartition.c            |  111 +
 src/backend/optimizer/path/joinrels.c           |    1 +
 src/backend/optimizer/util/plancat.c            |    2 +
 src/backend/optimizer/util/relnode.c            |    1 +
 src/backend/parser/parse_utilcmd.c              |    1 +
 src/backend/partitioning/Makefile               |    2 +-
 src/backend/partitioning/partbounds.c           | 2057 ++++++++++++++++
 src/backend/tcop/utility.c                      |    1 +
 src/backend/utils/adt/ruleutils.c               |    1 +
 src/backend/utils/cache/Makefile                |    4 +-
 src/backend/utils/cache/partcache.c             |  972 ++++++++
 src/backend/utils/cache/relcache.c              |  208 +-
 src/backend/utils/misc/pg_controldata.c         |    5 +-
 src/include/catalog/partition.h                 |   35 +-
 src/include/commands/tablecmds.h                |    1 -
 src/include/executor/execPartition.h            |    1 -
 src/include/executor/executor.h                 |    1 -
 src/include/nodes/parsenodes.h                  |   13 +-
 src/include/partitioning/partbounds.h           |   40 +-
 src/include/partitioning/partdefs.h             |   30 +
 src/include/partitioning/partprune.h            |    1 +
 src/include/utils/partcache.h                   |   96 +
 src/include/utils/rel.h                         |   72 -
 32 files changed, 3332 insertions(+), 3194 deletions(-)
 create mode 100644 src/backend/partitioning/partbounds.c
 create mode 100644 src/backend/utils/cache/partcache.c
 create mode 100644 src/include/partitioning/partdefs.h
 create mode 100644 src/include/utils/partcache.h

diff --git a/contrib/pageinspect/hashfuncs.c b/contrib/pageinspect/hashfuncs.c
index 99b61b8669..b48fdfa153 100644
--- a/contrib/pageinspect/hashfuncs.c
+++ b/contrib/pageinspect/hashfuncs.c
@@ -19,6 +19,7 @@
 #include "funcapi.h"
 #include "miscadmin.h"
 #include "utils/builtins.h"
+#include "utils/rel.h"
 
 PG_FUNCTION_INFO_V1(hash_page_type);
 PG_FUNCTION_INFO_V1(hash_page_stats);
diff --git a/contrib/pg_stat_statements/pg_stat_statements.c b/contrib/pg_stat_statements/pg_stat_statements.c
index 928673498a..cc9efab243 100644
--- a/contrib/pg_stat_statements/pg_stat_statements.c
+++ b/contrib/pg_stat_statements/pg_stat_statements.c
@@ -76,6 +76,7 @@
 #include "storage/ipc.h"
 #include "storage/spin.h"
 #include "tcop/utility.h"
+#include "utils/acl.h"
 #include "utils/builtins.h"
 #include "utils/memutils.h"
 
diff --git a/src/backend/catalog/heap.c b/src/backend/catalog/heap.c
index 8f329a6299..39813de991 100644
--- a/src/backend/catalog/heap.c
+++ b/src/backend/catalog/heap.c
@@ -77,6 +77,7 @@
 #include "utils/fmgroids.h"
 #include "utils/inval.h"
 #include "utils/lsyscache.h"
+#include "utils/partcache.h"
 #include "utils/rel.h"
 #include "utils/ruleutils.h"
 #include "utils/snapmgr.h"
diff --git a/src/backend/catalog/partition.c b/src/backend/catalog/partition.c
index 55130e66e4..ad26adaf2f 100644
--- a/src/backend/catalog/partition.c
+++ b/src/backend/catalog/partition.c
@@ -29,7 +29,6 @@
 #include "catalog/pg_opclass.h"
 #include "catalog/pg_partitioned_table.h"
 #include "catalog/pg_type.h"
-#include "commands/tablecmds.h"
 #include "executor/executor.h"
 #include "miscadmin.h"
 #include "nodes/makefuncs.h"
